﻿using StbLoadingApp.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace StbLoadingApp.View
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class TripPage : ContentPage
    {
        private object Parameter { get; set; }
        public TripPage(object parameter)
        {
            InitializeComponent();
            Parameter = parameter;
            BindingContext = App.Locator.TripPageViewModel;
        }
        protected override void OnAppearing()
        {
            var viewModel = BindingContext as TripPageViewModel;
            if (viewModel != null) viewModel.OnAppearing(Parameter);
        }
        protected override void OnDisappearing()
        {
            var viewModel = BindingContext as TripPageViewModel;
            if (viewModel != null) viewModel.OnDisappearing();
        }
    }
}